/**
 * Copyright 1998-2007, CHISEL Group, University of Victoria, Victoria, BC, Canada.
 * All rights reserved.
 */
package ca.uvic.csr.shrimp.gui.quickview;

import ca.uvic.csr.shrimp.SoftwareDomainConstants;
import ca.uvic.csr.shrimp.VisVarConstants;
import ca.uvic.csr.shrimp.AttrToVisVarBean.NominalAttribute;
import ca.uvic.csr.shrimp.AttrToVisVarBean.NominalNodeColorVisualVariable;
import ca.uvic.csr.shrimp.AttrToVisVarBean.VisualVariable;
import ca.uvic.csr.shrimp.ShrimpProject.ShrimpProject;

/**
 * @author Rob Lintern
 *
 * Configures the view to show CVS attributes.
 */
public class CVSExpressViewConfigurator extends ExpressViewConfigurator {

    public CVSExpressViewConfigurator(ShrimpProject project) {
        super(project);
    }
    
    /* (non-Javadoc)
     * @see ca.uvic.csr.shrimp.gui.ExpressViewConfigurator#setupAttrToVisVarBean()
     */
    protected void setupAttrToVisVarBean() {
		String attrName = SoftwareDomainConstants.ATTR_CVS_AUTHOR_MOST_COMMITS;
		NominalAttribute attr = (NominalAttribute) attrToVisVarBean.getAttr(attrName);
		if (attr == null) {
			attr = new NominalAttribute (attrToVisVarBean, attrName, String.class);
			attrToVisVarBean.addAttr(attr);
		}
		VisualVariable visVar = attrToVisVarBean.getVisVar(VisVarConstants.VIS_VAR_NODE_COLOR);
		if (visVar == null || !(visVar instanceof NominalNodeColorVisualVariable)) {
			if (visVar != null) {
				attrToVisVarBean.removeVisVar(visVar);
			}
			visVar = new NominalNodeColorVisualVariable (attrToVisVarBean, VisVarConstants.VIS_VAR_NODE_COLOR);
			attrToVisVarBean.addVisVar(visVar);
		}					
		attrToVisVarBean.mapAttrToVisVar(attrName, VisVarConstants.VIS_VAR_NODE_COLOR);
    }

}
